2026.06 Public API / SDK Changes

1 min read

Public API

New Endpoints

tech DELETE Delete Space - API to delete a space. Requires manage access to the space.

Path Params:

  • spaceId (required) - The ID of the space to delete

Example

curl --location --request DELETE '<https://api.uat1.unique.app/v1/space/<space-id>>' \
--header 'x-user-id: <user-id>' \
--header 'x-company-id: <company-id>' \
--header 'Authorization: Bearer <api-key>' \
--header 'x-app-id: <app-id>' \
--header 'x-api-version: 2023-12-06' \
--header 'Content-Type: application/json'

SDK

tech Delete Space - Delete a space (assistant) by ID. Requires manage access to the space.

Example

result = unique_sdk.Space.delete_space(
    user_id=user_id,
    company_id=company_id,
    space_id="assistant_hjcdga64bkcjnhu4"
)

print(f"Deleted space: {result['id']}")

 

Author

Last updated